local harbour = ...

-- Register all covered bridge building parts and their properties
--harbour:dofile("scripts/compBoatFlag.lua")
harbour:dofile("scripts/compWaterline.lua")
harbour:dofile("scripts/boat_parts.lua")
--harbour:dofile("scripts/flag_parts.lua")
harbour:dofile("scripts/decoration.lua")

-- Register the covered bridge monument
harbour:register({
	DataType = "MONUMENT",
	Id = "HARBOUR_VH",
	Name = "HARBOUR_MONUMENT_NAME",
	Description = "HARBOUR_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "HARBOUR_TERRAIN_NAME",
	                BuildingPartList = {
		            "HARBOUR_LIGHT_TOWER_ROOT_PART",
		            "HARBOUR_LIGHT_ROOF_PART",
		            "HARBOUR_LIGHT_ROOF_B_PART",
 		            "HARBOUR_ENTRANCE_DOOR_A_PART",
  		            "HARBOUR_ENTRANCE_DOOR_B_PART",
		            "HARBOUR_DECORATION_SFENETRE_PART",
		            "HARBOUR_DECORATION_LFENETRE_PART",
		            "HARBOUR_DECORATION_PFENETRE_PART",
		            "HARBOUR_DECORATION_ARROWSLIT_PART",
		            "HARBOUR_DOCK_PART",
		            "HARBOUR_PONTOON_PART",
		            "HARBOUR_RAMP_PART"
                        }
                },
                {
			Name = "HARBOUR_WATER_NAME",
	                BuildingPartList = {
		            "HARBOUR_BOAT_STATIC_PART",
		            "HARBOUR_BOAT_PART"
--[[,
                            "HARBOUR_FLAG_RED_ROOT_PART",
                            "HARBOUR_FLAG_BLUE_ROOT_PART"
]]
                        }
                }
        },
	IsManuallyUnlocked = false,
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})